Gradle Kotlin DSL 지원


  • Level 2

    구름IDE를 며칠간 사용하면서, 정말 만족하고 있습니다.
    한가지 아쉬운 점은, Gradle Java는 지원하지만 Gradle Kotlin DSL을 지원하지 않는다는 것입니다.
    Gradle Kotlin DSL에도 일반 Gradle과 같은 지원을 해 주신다면 감사하겠습니다.

  • Level 12

    안녕하세요,
    저희 서비스를 애용해주시는 점 깊이 감사드립니다.

    코틀린 스택의 경우 저희 서비스 내에서 이용률이 많이 낮다 보니 관련 업데이트가 더딘 상황입니다. 이로 인해 불편을 드리게 되어 사과의 말씀 드립니다.

    구글링 통해 찾아보니 아래와 같은 명령으로 Gradle 버전을 업데이트하여 Gradle Kotlin DSL이 지원되는 버전을 사용하실 수 있을것으로 보입니다.

    gradle wrapper --gradle-version 6.7
    

    추가로 코틀린 버전 업데이트 명령도 함께 안내 드립니다.

    source "/root/.sdkman/bin/sdkman-init.sh" && sdk install kotlin 1.3.72
    

    감사합니다.

SUGGESTED TOPICS